Contenu | Rechercher | Menus

Annonce

Ubuntu 16.04 LTS
Commandez vos DVD et clés USB Ubuntu-fr !

Si vous avez des soucis pour rester connecté, déconnectez-vous puis reconnectez-vous depuis ce lien en cochant la case
Me connecter automatiquement lors de mes prochaines visites.

#1 Le 17/10/2016, à 00:11

katrafay

une extension non valable

Bonjour a tous, et merci pour tout ce que vous apportez, vous donnez. je ne suis pas un ferrue d'informatique voir l'inverse,.
j'ai migré de la version ubuntu 14.04 LTS à 16.04 LTS et j'ai fait un erreur de manipe a l'installation a propos de different choix a effectuer.un histoire avec schell. maintenant j'ai des problèmes pour installer des logitiels.
voila ce que me dit le terminale

Lecture des informations d'état... Fait
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
N: « 50unattended-upgrades.ucf-dist » dans le répertoire « /etc/apt/apt.conf.d/ » a été ignoré car il utilise une extension non valable

j'ai lue et essayé different topic mais rien ne se passe.
pouvez vous m'aider. encore merci a tous

Hors ligne

#2 Le 17/10/2016, à 10:18

inbox

Re : une extension non valable

Salut,

On va vérifier ce qui se trouve dans ce fichier 50unattended-upgrades.ucf-dist. Depuis un terminal, passe ces commandes et colles en le retour entre balises code (comme indiqué :

gedit /etc/apt/apt.conf.d/50unattended-upgrades.ucf-dist

ls -ls /etc/apt/apt.conf.d/

A+


Un problème résolu ? Indiquez le en modifiant le titre du sujet.
Linux user 449594

Hors ligne

#3 Le 17/10/2016, à 10:25

cqfd93

Re : une extension non valable

Bonjour,

inbox a écrit :

On va vérifier ce qui se trouve dans ce fichier 50unattended-upgrades.ucf-dist. Depuis un terminal, passe ces commandes et colles en le retour entre balises code (comme indiqué :

gedit /etc/apt/apt.conf.d/50unattended-upgrades.ucf-dist

Pour voir son contenu, ce serait plutôt :

cat /etc/apt/apt.conf.d/50unattended-upgrades.ucf-dist

Hors ligne

#4 Le 17/10/2016, à 10:32

inbox

Re : une extension non valable

L'un des deux mon général. smile


Un problème résolu ? Indiquez le en modifiant le titre du sujet.
Linux user 449594

Hors ligne

#5 Le 17/10/2016, à 10:46

Watael

Re : une extension non valable

troufion inbox,

quand on est dans le terminal, on utilise les commandes du terminal.


eval, c'est mal.

Hors ligne

#6 Le 17/10/2016, à 11:05

inbox

Re : une extension non valable

Merci pour l'aide apportée. smile


Un problème résolu ? Indiquez le en modifiant le titre du sujet.
Linux user 449594

Hors ligne

#7 Le 17/10/2016, à 11:40

cqfd93

Re : une extension non valable

inbox a écrit :

L'un des deux mon général. smile

Mais tu lui fais ouvrir le fichier sans lui demander de te donner tout son contenu… wink Le retour de gedit dans le terminal, ça n'est pas le contenu du fichier.

Hors ligne

#8 Le 17/10/2016, à 16:35

katrafay

Re : une extension non valable

de Katrafay
merci pour la reponse
pas de reponse dans le terminal, mais une grande feuille blanche est apparue et voici le texte, la je suis dépassé.

// Automatically upgrade packages from these (origin:archive) pairs
Unattended-Upgrade::Allowed-Origins {
	"${distro_id}:${distro_codename}";
	"${distro_id}:${distro_codename}-security";
//	"${distro_id}:${distro_codename}-updates";
//	"${distro_id}:${distro_codename}-proposed";
//	"${distro_id}:${distro_codename}-backports";
};

// List of packages to not update (regexp are supported)
Unattended-Upgrade::Package-Blacklist {
//	"vim";
//	"libc6";
//	"libc6-dev";
//	"libc6-i686";
};

// This option allows you to control if on a unclean dpkg exit
// unattended-upgrades will automatically run 
//   dpkg --force-confold --configure -a
// The default is true, to ensure updates keep getting installed
//Unattended-Upgrade::AutoFixInterruptedDpkg "false";

// Split the upgrade into the smallest possible chunks so that
// they can be interrupted with SIGUSR1. This makes the upgrade
// a bit slower but it has the benefit that shutdown while a upgrade
// is running is possible (with a small delay)
//Unattended-Upgrade::MinimalSteps "true";

// Install all unattended-upgrades when the machine is shuting down
// instead of doing it in the background while the machine is running
// This will (obviously) make shutdown slower
//Unattended-Upgrade::InstallOnShutdown "true";

// Send email to this address for problems or packages upgrades
// If empty or unset then no email is sent, make sure that you
// have a working mail setup on your system. A package that provides
// 'mailx' must be installed. E.g. "user@example.com"
//Unattended-Upgrade::Mail "root";

// Set this value to "true" to get emails only on errors. Default
// is to always send a mail if Unattended-Upgrade::Mail is set
//Unattended-Upgrade::MailOnlyOnError "true";

// Do automatic removal of new unused dependencies after the upgrade
// (equivalent to apt-get autoremove)
//Unattended-Upgrade::Remove-Unused-Dependencies "false";

// Automatically reboot *WITHOUT CONFIRMATION*
//  if the file /var/run/reboot-required is found after the upgrade 
//Unattended-Upgrade::Automatic-Reboot "false";

// If automatic reboot is enabled and needed, reboot at the specific
// time instead of immediately
//  Default: "now"
//Unattended-Upgrade::Automatic-Reboot-Time "02:00";

// Use apt bandwidth limit feature, this example limits the download
// speed to 70kb/sec
//Acquire::http::Dl-Limit "70";

Modération : merci à l'avenir d'utiliser les balises code (explications ici).

Dernière modification par cqfd93 (Le 17/10/2016, à 16:45)

Hors ligne

#9 Le 06/12/2016, à 17:23

patman2016

Re : une extension non valable

Bonjour,

J'ai le même problème avec le même fichier et le même contenu ...
j'ai ce message à la fin de chaque utilisation de apt-get upgrade ou install, apparemment sans conséquence ...

N: « 50unattended-upgrades.ucf-dist » dans le répertoire « /etc/apt/apt.conf.d/ » a été ignoré car il utilise une extension non valable

Je suis sur un serveur ovh avec Ubuntu 16.04.1 LTS

Si quelqu'un a une idée en dehors de discution stérile sur l'utilisation de gedit ou cat  pour ma part j'ai utilisé nano tongue

Hors ligne

#10 Le 06/12/2016, à 17:54

erresse

Re : une extension non valable

Bonjour,
Apparemment, on trouve cette extension ".ucf-dist" dans plusieurs fichiers de ce répertoire, avec la même conséquence :extension non valide...
Je ne sais pas ce qu'il en est pour le fichier "50unattended...", mais pour les autres, il suffisait de supprimer simplement le fichier et de refaire un coup de "update /upgrade" pour résoudre le souci.


Plus de 50 ans d'informatique, ça en fait des lignes de commandes en console, mais on n'avait pas le choix...
Excellente raison pour, aujourd'hui qu'on le peut, utiliser au maximum les INTERFACES GRAPHIQUES !
Important : Une fois résolu, pensez à clore votre sujet en ajoutant [Résolu] devant le titre du 1er message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Hors ligne

#11 Le 06/12/2016, à 18:12

patman2016

Re : une extension non valable

Merci erresse

Oui dans le rep /etc/apt/apt.conf.d/ il y a

50unattended-upgrades.ucf-dist
et
50unattended-upgrades

donc j'ai déplacé 50unattended-upgrades.ucf-dist et tout ce passe bien
cela ressemble à un fichier temporaire oublié à l'install de ubuntu ???

Dernière modification par patman2016 (Le 06/12/2016, à 18:16)

Hors ligne

#12 Le 06/12/2016, à 18:21

erresse

Re : une extension non valable

Oui, je crois qu'il y a un bug qui traîne dans les "unattended-upgrades" qui crée ces fichiers avec une extension non valide (et qui ne les nettoie pas ensuite, sans doute). En supprimant le fichier fautif, ça résout le problème, mais il vaudrait mieux que la procédure qui les génère soit revue pour ne pas les laisser traîner...


Plus de 50 ans d'informatique, ça en fait des lignes de commandes en console, mais on n'avait pas le choix...
Excellente raison pour, aujourd'hui qu'on le peut, utiliser au maximum les INTERFACES GRAPHIQUES !
Important : Une fois résolu, pensez à clore votre sujet en ajoutant [Résolu] devant le titre du 1er message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Hors ligne

#13 Le 06/12/2016, à 18:37

tuxmarc

Re : une extension non valable

Bonsoir.
ucf.dist a encore frappé yikes
C'est le troisième sujet que je trouve (sans tout regarder).
Manifestement, il traine un petit bug !


Vive Richard Stalmann, Linus Torvalds, et tous les fondus de Linux.
De l'Ordinosaure fait à 90% de récup, à un portable LDLC, une tour, neufs sans système,un serveur et une carte mère sans boitier, tous libres !!
Parrain Linux sur www.parrain-linux.com et www.parrains.linux.free.fr

Hors ligne

#14 Le 06/12/2016, à 21:48

patman2016

Re : une extension non valable

Ha ! c'est du jolie yikes

Je ne peux pas mettre le sujet enn résolu n'étant l'auteur du dit sujet sad

Hors ligne

#15 Le 07/12/2016, à 19:29

tuxmarc

Re : une extension non valable

patman2016 a écrit :

Je ne peux pas mettre le sujet enn résolu n'étant l'auteur du dit sujet sad

C'est comme dans Linux, seul le proprio a le droit d'y aller smile
C'est comme ça que dans notre très beau monde, on évite les conflits d'intérêt = virus contre W$ lol


Vive Richard Stalmann, Linus Torvalds, et tous les fondus de Linux.
De l'Ordinosaure fait à 90% de récup, à un portable LDLC, une tour, neufs sans système,un serveur et une carte mère sans boitier, tous libres !!
Parrain Linux sur www.parrain-linux.com et www.parrains.linux.free.fr

Hors ligne

#16 Le 18/12/2016, à 11:51

bdeborah

Re : une extension non valable

Salut à tous!
En effet, j'avais le même souci. Problème résolu par rm wink ouf!

Hors ligne

#17 Le 03/01/2017, à 10:32

Compte anonymisé

Re : une extension non valable

Suite au passage du 14.04 au 16.04 en faisant la migration, j'ai eu le meme probleme comme indiqué sur les posts ci-dessus et je l'ai résolu comme suit

sudo rm /etc/apt/apt.conf.d/50unattended-upgrades.ucf.dist

et

sudo apt-get update && sudo apt-get upgrade 

EDIT : Ligne de commande modifié

EDIT 2 : Revenu a la 14.04

Dernière modification par Compte anonymisé (Le 03/01/2017, à 21:41)

#18 Le 03/01/2017, à 12:08

erresse

Re : une extension non valable

@Tarkagan:
Ton "rm" n'est pas forcément judicieux... Ce faisant, tu as supprimé aussi le fichier "50unattended-upgrades" (sans les ".ucf.dist") qui lui, est utile !
J'espère que le système le recréera tout seul si nécessaire, mais il vaut mieux éviter les commandes à l'emporte-pièce qui peuvent faire plus de dégâts que de réparations à ton système.
roll

Dernière modification par erresse (Le 03/01/2017, à 12:09)


Plus de 50 ans d'informatique, ça en fait des lignes de commandes en console, mais on n'avait pas le choix...
Excellente raison pour, aujourd'hui qu'on le peut, utiliser au maximum les INTERFACES GRAPHIQUES !
Important : Une fois résolu, pensez à clore votre sujet en ajoutant [Résolu] devant le titre du 1er message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Hors ligne

#19 Le 03/01/2017, à 12:27

patman2016

Re : une extension non valable

* de trop roll

Hors ligne

#20 Le 09/01/2017, à 18:22

Jarodd

Re : une extension non valable

Bonjour,

Je viens aussi de faire l'upgrade 14.04 vers 16.04, et j'ai la même erreur... sauf que mon fichier est 50unattended-upgrades.ucf-old ("-old" à la fin).

Je demande l'autorisation de tirer dessus à boulets rouges, chefs smile


Fixe : 12.04 LTS (32 bits)
Sony Vaio : 16.04 LTS (64 bits)

Hors ligne

#21 Le 09/01/2017, à 18:29

erresse

Re : une extension non valable

Salut,

Je suppose qu'avec le suffixe ".ucf-old" il s'agit de la sauvegarde de l'ancien fichier avant la mise à jour...
Si le nouveau fonctionne correctement (ou si c'est tout simplement le même) tu as l'autorisation  de tirer dessus à boulets rouges !
big_smile


Plus de 50 ans d'informatique, ça en fait des lignes de commandes en console, mais on n'avait pas le choix...
Excellente raison pour, aujourd'hui qu'on le peut, utiliser au maximum les INTERFACES GRAPHIQUES !
Important : Une fois résolu, pensez à clore votre sujet en ajoutant [Résolu] devant le titre du 1er message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Hors ligne

#22 Le 09/01/2017, à 18:31

Jarodd

Re : une extension non valable

Je ne sais pas si cela fonctionne correctement, vu que je ne sais pas à quoi ça sert lol


Fixe : 12.04 LTS (32 bits)
Sony Vaio : 16.04 LTS (64 bits)

Hors ligne

#23 Le 09/01/2017, à 18:44

erresse

Re : une extension non valable

Jarodd a écrit :

Je ne sais pas si cela fonctionne correctement, vu que je ne sais pas à quoi ça sert lol

À rien !
C'est apparemment un résidu de la mise à jour qui n'a pas été supprimé à la fin.
Le fichier valable c'est juste "50unattended-upgrades" sans aucun suffixe à la noix...


Plus de 50 ans d'informatique, ça en fait des lignes de commandes en console, mais on n'avait pas le choix...
Excellente raison pour, aujourd'hui qu'on le peut, utiliser au maximum les INTERFACES GRAPHIQUES !
Important : Une fois résolu, pensez à clore votre sujet en ajoutant [Résolu] devant le titre du 1er message, et un bref récapitulatif de la solution à la fin de celui-ci. Merci.

Hors ligne

#24 Le 09/01/2017, à 20:16

Jarodd

Re : une extension non valable

A vos ordres capitaine !
Boulet tiré, extension explosée !


Fixe : 12.04 LTS (32 bits)
Sony Vaio : 16.04 LTS (64 bits)

Hors ligne

#25 Le 18/02/2017, à 17:08

cilae

Re : une extension non valable

mabire@mabire-Veriton-M480G:~$ gedit /etc/apt/apt.conf.d/50unattended-upgrades.ucf-dist
mabire@mabire-Veriton-M480G:~$ sudo rm /etc/apt/apt.conf.d/50unattended-upgrades.ucf.dist
rm: impossible de supprimer '/etc/apt/apt.conf.d/50unattended-upgrades.ucf.dist': Aucun fichier ou dossier de ce type
mabire@mabire-Veriton-M480G:~$ sudo apt-get update && sudo apt-get upgrade 
Atteint:1 http://fr.archive.ubuntu.com/ubuntu xenial InRelease
Atteint:2 http://fr.archive.ubuntu.com/ubuntu xenial-updates InRelease
Atteint:3 http://fr.archive.ubuntu.com/ubuntu xenial-backports InRelease       
Réception de:4 http://security.ubuntu.com/ubuntu xenial-security InRelease [102 kB]
102 ko réceptionnés en 1s (94,5 ko/s)                         
Lecture des listes de paquets... Fait
N: « 50unattended-upgrades.ucf-dist » dans le répertoire « /etc/apt/apt.conf.d/ » a été ignoré car il utilise une extension non valable
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances       
Lecture des informations d'état... Fait
Calcul de la mise à jour... Fait
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
N: « 50unattended-upgrades.ucf-dist » dans le répertoire « /etc/apt/apt.conf.d/ » a été ignoré car il utilise une extension non valable
mabire@mabire-Veriton-M480G:~$ 

bonjour,
j'ai aussi un soucis avec l'installation adob flash player aprés une migration 14.04 vers 16.04
je ne comprend pas du tout ce que m'explique le terminal aprés avoiressayé les solutions que vous semblez préconiser... peut-être que qu'elqu'un pourrais m'expliquer ?
y a-t-il une solution?merci beaucoup...

Hors ligne